Bug 970973 - [abrt] pngcrush-1.7.43-1.fc18: main: Process /usr/bin/pngcrush was killed by signal 6 (SIGABRT)
[abrt] pngcrush-1.7.43-1.fc18: main: Process /usr/bin/pngcrush was killed by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pngcrush (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: François Cami
Fedora Extras Quality Assurance
abrt_hash:20d10c43a700579926b27b7616c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 07:16 EDT by Daniel Rindt
Modified: 2013-06-08 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: pngcrush-1.7.59-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 22:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.88 KB, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: core_backtrace (577 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: dso_list (570 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: environ (3.35 KB, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: maps (3.07 KB, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: open_fds (264 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
File: var_log_messages (218 bytes, text/plain)
2013-06-05 07:17 EDT, Daniel Rindt
no flags Details
the evil green button (179 bytes, image/png)
2013-06-05 08:51 EDT, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2013-06-05 07:16:57 EDT
Version-Release number of selected component:
pngcrush-1.7.43-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pngcrush -brute ./drawable-ldpi/button_green_normal.9.png ./drawable-ldpi/button_green_normal.9-crushed.png
crash_function: main
executable:     /usr/bin/pngcrush
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (0 frames)
Comment 1 Daniel Rindt 2013-06-05 07:17:02 EDT
Created attachment 757128 [details]
File: backtrace
Comment 2 Daniel Rindt 2013-06-05 07:17:05 EDT
Created attachment 757129 [details]
File: cgroup
Comment 3 Daniel Rindt 2013-06-05 07:17:08 EDT
Created attachment 757130 [details]
File: core_backtrace
Comment 4 Daniel Rindt 2013-06-05 07:17:11 EDT
Created attachment 757131 [details]
File: dso_list
Comment 5 Daniel Rindt 2013-06-05 07:17:15 EDT
Created attachment 757132 [details]
File: environ
Comment 6 Daniel Rindt 2013-06-05 07:17:18 EDT
Created attachment 757133 [details]
File: limits
Comment 7 Daniel Rindt 2013-06-05 07:17:21 EDT
Created attachment 757134 [details]
File: maps
Comment 8 Daniel Rindt 2013-06-05 07:17:24 EDT
Created attachment 757135 [details]
File: open_fds
Comment 9 Daniel Rindt 2013-06-05 07:17:28 EDT
Created attachment 757136 [details]
File: proc_pid_status
Comment 10 Daniel Rindt 2013-06-05 07:17:31 EDT
Created attachment 757137 [details]
File: var_log_messages
Comment 11 François Cami 2013-06-05 08:09:14 EDT
Daniel, could you attach button_green_normal.9.png to this bug please?
Comment 12 Daniel Rindt 2013-06-05 08:48:30 EDT
(In reply to François Cami from comment #11)
> Daniel, could you attach button_green_normal.9.png to this bug please?

Hm i try to add it...
Comment 13 Daniel Rindt 2013-06-05 08:51:05 EDT
Created attachment 757182 [details]
the evil green button
Comment 14 François Cami 2013-06-05 09:06:33 EDT
Thank you Daniel, I was able to reproduce the crash which never happened with my test files. Removing "%global         _hardened_build 1" fixes the problem. I will investigate and push a fix.
Comment 15 Daniel Rindt 2013-06-05 10:10:45 EDT
(In reply to François Cami from comment #14)
> Thank you Daniel, I was able to reproduce the crash which never happened
> with my test files. Removing "%global         _hardened_build 1" fixes the
> problem. I will investigate and push a fix.

No problem, i have to thank you!
Comment 16 François Cami 2013-06-05 10:55:18 EDT
Daniel, could you try running, as root:

yum -y update pngcrush --enablerepo=updates-testing

and then try again, and post the results here.
Comment 17 Daniel Rindt 2013-06-05 12:11:57 EDT
(In reply to François Cami from comment #16)
> Daniel, could you try running, as root:
> 
> yum -y update pngcrush --enablerepo=updates-testing
> 
> and then try again, and post the results here.

after upgrading:
[drindt@antal res]$ rpm -q pngcrush
pngcrush-1.7.59-1.fc18.x86_64

[drindt@antal res]$ pngcrush -brute ./drawable-ldpi/button_green_normal.9.png ./drawable-ldpi/button_green_normal.9-crushed.png

 | pngcrush 1.7.59
 |    Copyright (C) 1998-2002, 2006-2013 Glenn Randers-Pehrson
 |    Portions copyright (C) 2005       Greg Roelofs
 | This is a free, open-source program.  Permission is irrevocably
 | granted to everyone to use this version of pngcrush without
 | payment of any fee.
 | Executable name is pngcrush
 | It was built with libpng version 1.5.13, and is
 | running with  libpng version 1.5.13 - September 27, 2012

 |    Copyright (C) 1998-2004, 2006-2013 Glenn Randers-Pehrson,
 |    Copyright (C) 1996, 1997 Andreas Dilger,
 |    Copyright (C) 1995, Guy Eric Schalnat, Group 42 Inc.,
 | and zlib version 1.2.7, Copyright (C) 1995-2012,
 |    Jean-loup Gailly and Mark Adler.
 | It was compiled with gcc version 4.7.2 20121109 (Red Hat 4.7.2-8).

   Recompressing ./drawable-ldpi/button_green_normal.9.png
   Total length of data found in critical chunks =      166
   Critical chunk length, method   1 (ws 13 fm 0 zl 4 zs 0) =      177
   Critical chunk length, method   2 (ws 13 fm 1 zl 4 zs 0) >      177
   Critical chunk length, method   3 (ws 13 fm 5 zl 4 zs 1) >      177
   Critical chunk length, method   4 (ws 13 fm 0 zl 9 zs 1) =      168
   Critical chunk length, method   5 (ws 13 fm 1 zl 9 zs 0) =      166
   Critical chunk length, method   6 (ws 13 fm 5 zl 9 zs 0) >      166
   Critical chunk length, method   7 (ws 13 fm 0 zl 9 zs 0) >      166
   Critical chunk length, method   8 (ws 13 fm 1 zl 9 zs 1) >      166
   Critical chunk length, method   9 (ws 13 fm 5 zl 2 zs 2) >      166
   Critical chunk length, method  10 (ws 13 fm 5 zl 9 zs 1) >      166
   Critical chunk length, method  11 (ws 13 fm 0 zl 2 zs 2) >      166
   Critical chunk length, method  12 (ws 13 fm 1 zl 2 zs 2) >      166
   Critical chunk length, method  13 (ws 13 fm 2 zl 2 zs 2) >      166
   Critical chunk length, method  14 (ws 13 fm 3 zl 2 zs 2) >      166
   Critical chunk length, method  15 (ws 13 fm 4 zl 2 zs 2) >      166
   Critical chunk length, method  16 (ws 13 fm 5 zl 2 zs 2) >      166
   Critical chunk length, method  17 (ws 13 fm 0 zl 1 zs 0) >      166
   Critical chunk length, method  18 (ws 13 fm 1 zl 1 zs 0) >      166
   Critical chunk length, method  19 (ws 13 fm 2 zl 1 zs 0) >      166
   Critical chunk length, method  20 (ws 13 fm 3 zl 1 zs 0) >      166
   Critical chunk length, method  21 (ws 13 fm 4 zl 1 zs 0) >      166
   Critical chunk length, method  22 (ws 13 fm 5 zl 1 zs 0) >      166
   Critical chunk length, method  23 (ws 13 fm 0 zl 1 zs 1) >      166
   Critical chunk length, method  24 (ws 13 fm 1 zl 1 zs 1) >      166
   Critical chunk length, method  25 (ws 13 fm 2 zl 1 zs 1) >      166
   Critical chunk length, method  26 (ws 13 fm 3 zl 1 zs 1) >      166
   Critical chunk length, method  27 (ws 13 fm 4 zl 1 zs 1) >      166
   Critical chunk length, method  28 (ws 13 fm 5 zl 1 zs 1) >      166
   Critical chunk length, method  29 (ws 13 fm 0 zl 2 zs 0) >      166
   Critical chunk length, method  30 (ws 13 fm 1 zl 2 zs 0) >      166
   Critical chunk length, method  31 (ws 13 fm 2 zl 2 zs 0) >      166
   Critical chunk length, method  32 (ws 13 fm 3 zl 2 zs 0) >      166
   Critical chunk length, method  33 (ws 13 fm 4 zl 2 zs 0) >      166
   Critical chunk length, method  34 (ws 13 fm 5 zl 2 zs 0) >      166
   Critical chunk length, method  35 (ws 13 fm 0 zl 2 zs 1) >      166
   Critical chunk length, method  36 (ws 13 fm 1 zl 2 zs 1) >      166
   Critical chunk length, method  37 (ws 13 fm 2 zl 2 zs 1) >      166
   Critical chunk length, method  38 (ws 13 fm 3 zl 2 zs 1) >      166
   Critical chunk length, method  39 (ws 13 fm 4 zl 2 zs 1) >      166
   Critical chunk length, method  40 (ws 13 fm 5 zl 2 zs 1) >      166
   Critical chunk length, method  41 (ws 13 fm 0 zl 3 zs 0) >      166
   Critical chunk length, method  42 (ws 13 fm 1 zl 3 zs 0) >      166
   Critical chunk length, method  43 (ws 13 fm 2 zl 3 zs 0) >      166
   Critical chunk length, method  44 (ws 13 fm 3 zl 3 zs 0) >      166
   Critical chunk length, method  45 (ws 13 fm 4 zl 3 zs 0) >      166
   Critical chunk length, method  46 (ws 13 fm 5 zl 3 zs 0) >      166
   Critical chunk length, method  47 (ws 13 fm 0 zl 3 zs 1) >      166
   Critical chunk length, method  48 (ws 13 fm 1 zl 3 zs 1) >      166
   Critical chunk length, method  49 (ws 13 fm 2 zl 3 zs 1) >      166
   Critical chunk length, method  50 (ws 13 fm 3 zl 3 zs 1) >      166
   Critical chunk length, method  51 (ws 13 fm 4 zl 3 zs 1) >      166
   Critical chunk length, method  52 (ws 13 fm 5 zl 3 zs 1) >      166
   Critical chunk length, method  53 (ws 13 fm 0 zl 4 zs 0) >      166
   Critical chunk length, method  54 (ws 13 fm 1 zl 4 zs 0) >      166
   Critical chunk length, method  55 (ws 13 fm 2 zl 4 zs 0) >      166
   Critical chunk length, method  56 (ws 13 fm 3 zl 4 zs 0) >      166
   Critical chunk length, method  57 (ws 13 fm 4 zl 4 zs 0) >      166
   Critical chunk length, method  58 (ws 13 fm 5 zl 4 zs 0) >      166
   Critical chunk length, method  59 (ws 13 fm 0 zl 4 zs 1) >      166
   Critical chunk length, method  60 (ws 13 fm 1 zl 4 zs 1) >      166
   Critical chunk length, method  61 (ws 13 fm 2 zl 4 zs 1) >      166
   Critical chunk length, method  62 (ws 13 fm 3 zl 4 zs 1) >      166
   Critical chunk length, method  63 (ws 13 fm 4 zl 4 zs 1) >      166
   Critical chunk length, method  64 (ws 13 fm 5 zl 4 zs 1) >      166
   Critical chunk length, method  65 (ws 13 fm 0 zl 5 zs 0) >      166
   Critical chunk length, method  66 (ws 13 fm 1 zl 5 zs 0) >      166
   Critical chunk length, method  67 (ws 13 fm 2 zl 5 zs 0) >      166
   Critical chunk length, method  68 (ws 13 fm 3 zl 5 zs 0) >      166
   Critical chunk length, method  69 (ws 13 fm 4 zl 5 zs 0) >      166
   Critical chunk length, method  70 (ws 13 fm 5 zl 5 zs 0) >      166
   Critical chunk length, method  71 (ws 13 fm 0 zl 5 zs 1) >      166
   Critical chunk length, method  72 (ws 13 fm 1 zl 5 zs 1) >      166
   Critical chunk length, method  73 (ws 13 fm 2 zl 5 zs 1) >      166
   Critical chunk length, method  74 (ws 13 fm 3 zl 5 zs 1) >      166
   Critical chunk length, method  75 (ws 13 fm 4 zl 5 zs 1) >      166
   Critical chunk length, method  76 (ws 13 fm 5 zl 5 zs 1) >      166
   Critical chunk length, method  77 (ws 13 fm 0 zl 6 zs 0) >      166
   Critical chunk length, method  78 (ws 13 fm 1 zl 6 zs 0) >      166
   Critical chunk length, method  79 (ws 13 fm 2 zl 6 zs 0) >      166
   Critical chunk length, method  80 (ws 13 fm 3 zl 6 zs 0) >      166
   Critical chunk length, method  81 (ws 13 fm 4 zl 6 zs 0) >      166
   Critical chunk length, method  82 (ws 13 fm 5 zl 6 zs 0) >      166
   Critical chunk length, method  83 (ws 13 fm 0 zl 6 zs 1) >      166
   Critical chunk length, method  84 (ws 13 fm 1 zl 6 zs 1) >      166
   Critical chunk length, method  85 (ws 13 fm 2 zl 6 zs 1) >      166
   Critical chunk length, method  86 (ws 13 fm 3 zl 6 zs 1) >      166
   Critical chunk length, method  87 (ws 13 fm 4 zl 6 zs 1) >      166
   Critical chunk length, method  88 (ws 13 fm 5 zl 6 zs 1) >      166
   Critical chunk length, method  89 (ws 13 fm 0 zl 7 zs 0) >      166
   Critical chunk length, method  90 (ws 13 fm 1 zl 7 zs 0) >      166
   Critical chunk length, method  91 (ws 13 fm 2 zl 7 zs 0) >      166
   Critical chunk length, method  92 (ws 13 fm 3 zl 7 zs 0) >      166
   Critical chunk length, method  93 (ws 13 fm 4 zl 7 zs 0) >      166
   Critical chunk length, method  94 (ws 13 fm 5 zl 7 zs 0) >      166
   Critical chunk length, method  95 (ws 13 fm 0 zl 7 zs 1) >      166
   Critical chunk length, method  96 (ws 13 fm 1 zl 7 zs 1) >      166
   Critical chunk length, method  97 (ws 13 fm 2 zl 7 zs 1) >      166
   Critical chunk length, method  98 (ws 13 fm 3 zl 7 zs 1) >      166
   Critical chunk length, method  99 (ws 13 fm 4 zl 7 zs 1) >      166
   Critical chunk length, method 100 (ws 13 fm 5 zl 7 zs 1) >      166
   Critical chunk length, method 101 (ws 13 fm 0 zl 8 zs 0) >      166
   Critical chunk length, method 102 (ws 13 fm 1 zl 8 zs 0) =      166
   Critical chunk length, method 103 (ws 13 fm 2 zl 8 zs 0) >      166
   Critical chunk length, method 104 (ws 13 fm 3 zl 8 zs 0) >      166
   Critical chunk length, method 105 (ws 13 fm 4 zl 8 zs 0) >      166
   Critical chunk length, method 106 (ws 13 fm 5 zl 8 zs 0) >      166
   Critical chunk length, method 107 (ws 13 fm 0 zl 8 zs 1) >      166
   Critical chunk length, method 108 (ws 13 fm 1 zl 8 zs 1) >      166
   Critical chunk length, method 109 (ws 13 fm 2 zl 8 zs 1) >      166
   Critical chunk length, method 110 (ws 13 fm 3 zl 8 zs 1) >      166
   Critical chunk length, method 111 (ws 13 fm 4 zl 8 zs 1) >      166
   Critical chunk length, method 112 (ws 13 fm 5 zl 8 zs 1) >      166
   Critical chunk length, method 113 (ws 13 fm 0 zl 9 zs 0) >      166
   Critical chunk length, method 114 (ws 13 fm 1 zl 9 zs 0) =      166
   Critical chunk length, method 115 (ws 13 fm 2 zl 9 zs 0) >      166
   Critical chunk length, method 116 (ws 13 fm 3 zl 9 zs 0) >      166
   Critical chunk length, method 117 (ws 13 fm 4 zl 9 zs 0) >      166
   Critical chunk length, method 118 (ws 13 fm 5 zl 9 zs 0) >      166
   Critical chunk length, method 119 (ws 13 fm 0 zl 9 zs 1) >      166
   Critical chunk length, method 120 (ws 13 fm 1 zl 9 zs 1) >      166
   Critical chunk length, method 121 (ws 13 fm 2 zl 9 zs 1) >      166
   Critical chunk length, method 122 (ws 13 fm 3 zl 9 zs 1) >      166
   Critical chunk length, method 123 (ws 13 fm 4 zl 9 zs 1) >      166
   Critical chunk length, method 124 (ws 13 fm 5 zl 9 zs 1) >      166
   Critical chunk length, method 125 (ws 13 fm 0 zl 1 zs 3) >      166
   Critical chunk length, method 126 (ws 13 fm 1 zl 1 zs 3) >      166
   Critical chunk length, method 127 (ws 13 fm 2 zl 1 zs 3) >      166
   Critical chunk length, method 128 (ws 13 fm 3 zl 1 zs 3) >      166
   Critical chunk length, method 129 (ws 13 fm 4 zl 1 zs 3) >      166
   Critical chunk length, method 130 (ws 13 fm 5 zl 1 zs 3) >      166
   Critical chunk length, method 131 (ws 13 fm 0 zl 4 zs 3) >      166
   Critical chunk length, method 132 (ws 13 fm 1 zl 4 zs 3) >      166
   Critical chunk length, method 133 (ws 13 fm 2 zl 4 zs 3) >      166
   Critical chunk length, method 134 (ws 13 fm 3 zl 4 zs 3) >      166
   Critical chunk length, method 135 (ws 13 fm 4 zl 4 zs 3) >      166
   Critical chunk length, method 136 (ws 13 fm 5 zl 4 zs 3) >      166
   Critical chunk length, method 137 (ws 13 fm 0 zl 0 zs 0) >      166
   Critical chunk length, method 138 (ws 13 fm 1 zl 0 zs 0) >      166
   Critical chunk length, method 139 (ws 13 fm 2 zl 0 zs 0) >      166
   Critical chunk length, method 140 (ws 13 fm 3 zl 0 zs 0) >      166
   Critical chunk length, method 141 (ws 13 fm 4 zl 0 zs 0) >      166
   Critical chunk length, method 142 (ws 13 fm 5 zl 0 zs 0) >      166
   Critical chunk length, method 143 (ws 13 fm 0 zl 0 zs 1) >      166
   Critical chunk length, method 144 (ws 13 fm 1 zl 0 zs 1) >      166
   Critical chunk length, method 145 (ws 13 fm 2 zl 0 zs 1) >      166
   Critical chunk length, method 146 (ws 13 fm 3 zl 0 zs 1) >      166
   Critical chunk length, method 147 (ws 13 fm 4 zl 0 zs 1) >      166
   Critical chunk length, method 148 (ws 13 fm 5 zl 0 zs 1) >      166
   Best pngcrush method        =   5 (ws 13 fm 1 zl 9 zs 0) =      166
      for ./drawable-ldpi/button_green_normal.9-crushed.png
     (no critical chunk change)
     (no filesize change)

   CPU time decoding 0.000, encoding 0.040, other 0.000, total 0.040 seconds
Comment 18 Fedora Update System 2013-06-05 12:19:08 EDT
pngcrush-1.7.59-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-9785/pngcrush-1.7.59-1.fc18
Comment 19 François Cami 2013-06-05 13:10:34 EDT
Daniel, as far as I can tell, pngcrush-1.7.59-1.fc18 fixes your problem.

Could you please go to the url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9785/pngcrush-1.7.59-1.fc18
then log in if you have a FAS account, and add a comment (and karma).
Comment 20 Fedora Update System 2013-06-08 22:27:04 EDT
pngcrush-1.7.59-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.